<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/core/function.php');
$title = 'Регистрация';
require_once($_SERVER['DOCUMENT_ROOT'].'/style/header.php');
mode("guest");
if(isset($_GET['register']))
{
    $login = htmlspecialchars(trim($_POST['login']));
    $password = htmlspecialchars(trim($_POST['password']));
    $email = htmlspecialchars(trim($_POST['email']));
    $us_login = $db->prepare("SELECT * FROM `users` WHERE `login` = ?");
    $us_login->execute([$login]);
    $us_email = $db->prepare("SELECT * FROM `users` WHERE `email` = ?");
    $us_email->execute([$email]);
    if($us_login->rowCount() > 0)
    {
        $error = 'Пользователь с таким логином уже существует!';
    }
    elseif($us_email->rowCount() > 0)
    {
        $error = 'Пользователь с таким электронным адресом уже существует!';
    }
    if(!$error)
    {
        $sql = $db->prepare("INSERT INTO `users` (`login`,`password`,`email`,`online`) VALUES (?,?,?,?)");
        $sql->execute([$login, encrypt($password), $email, (time()+60)]);
        setcookie("login", $login, time()+86400);
        setcookie("password", encrypt($password), time()+86400);
        $_SESSION['message'] = 'Регистрация успешна!';
        header("Location: /home");
        exit;
    }
    else
    {
        $_SESSION['message'] = $error;
        header("Location: /");
        exit;
    }
}
?>
        <div class="separ"></div>
        <div style="text-align:center;padding:6px;color:#a5a5a5" class="menu_link3">
            <form action="?register" method="post">
                <div>Имя персонажа:</div>
                <div>
                    <input type="text" name="login" class="input_text" required>
                </div>
                <div style="color:#a5a5a5">Пароль:</div>
                <div>
                    <input type="password" class="input_text" name="password" required>
                </div>
                <div style="color:#a5a5a5">Электронный адрес:</div>
                <div>
                    <input type="email" class="input_text" name="email" required>
                </div>
                <div style="padding:3px;"></div>
                <div>
                    <input type="submit" name="register" class="mybutt_att" value="Зарегистрироваться" style="height:24px;padding-left:20px;padding-right:20px"> </div>
            </form>
        </div>
<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/style/footer.php');