<?php
session_start();
ob_start();
$config = parse_ini_file($_SERVER['DOCUMENT_ROOT'].'/core/config.ini');
try
{
    $db = new PDO("mysql:host=".$config['DBHOST'].";dbname=".$config['DBNAME'].";charset=utf8", $config['DBUSER'], $config['DBPASS']);
}
catch(PDOException $e)
{
    die('Нет подключения к БД. Код ошибки: '.$e->getMessage());
}
if(isset($_COOKIE['login']) && isset($_COOKIE['password']))
{
    $login = htmlspecialchars(trim($_COOKIE['login']));
    $password = htmlspecialchars(trim($_COOKIE['password']));
    $user = $db->prepare("SELECT * FROM `users` WHERE `login` = ? AND `password` = ?");
    $user->execute([$login,$password]);
    if($user->rowCount() == 0)
    {
        setcookie("login", "");
        setcookie("password", "");
        $_SESSION['message'] = 'Ошибка!';
        header("Location: /");
        exit;
    }
    else
    {
        $user = $user->fetch(PDO::FETCH_OBJ);
    }
}